<style>
  .curs-pointr{
    cursor: pointer;
  }
</style>
  
  <link rel="stylesheet" href="assets/css/hotel.css" />

  <link rel="stylesheet" href="assets/css/vuetify.min.css" />
   <script src="assets/js/bootstrap-3.4.1/bootstrap.min.js"></script> 
<div class="mb-5 v-card v-sheet theme--light tab-card card tabs-animated" ng-repeat="singlelist in gblSelectedHotelResp track by $index" ng-init="parentIndex = $index">
  <div class="p-4 col-7">
    <h3>{{singlelist.name}}</h3>

  <p>{{singlelist.address}}</p>
  </div>
    <div class="card-header tab-card-header tab-buttons-group ml-4 mr-4" id="hotel-navigation">
      <ul class="nav nav-tabs card-header-tabs scroll_tab_nav " id="myTab" role="tablist">
        <li class="nav-item col-3 p-0 roomopt_{{$index}} active" >
          <a class="nav-link a-tab-view" data-toggle="tab" ng-click="hotelTabAction(1,$index)"  data-target="#roomopt_{{$index}}" role="tab" aria-controls="roomopt_{{$index}}" aria-selected="true">Rooms</a>
        </li>
        <li class="nav-item col-3 p-0 facitiesopt_{{$index}}">
          <a class="nav-link a-tab-view"  data-toggle="tab" ng-click="hotelTabAction(2,$index)" data-target="#facitiesopt_{{$index}}" role="tab" aria-controls="facitiesopt_{{$index}}" aria-selected="false">Facility</a>
        </li>
        <li class="nav-item col-3 p-0 locopt_{{$index}}">
          <a class="nav-link a-tab-view" data-toggle="tab" ng-click="hotelTabAction(3,$index)" data-target="#locopt_{{$index}}" role="tab" aria-controls="locopt_{{$index}}" aria-selected="false">Location</a>
        </li>
        <li class="nav-item col-3 p-0 aboutopt_{{$index}}">
          <a class="nav-link a-tab-view" data-toggle="tab" ng-click="hotelTabAction(4,$index)" data-target="#aboutopt_{{$index}}" role="tab" aria-controls="aboutopt_{{$index}}" aria-selected="false">About</a>
        </li>
      </ul>
    </div>
    <div class="card-body">
       <div class="tab-content">
        <div class="tab-pane active" id="roomopt_{{$index}}" role="tabpanel">
          <div class="v-window v-item-group theme--light v-tabs-items">
            <div class="v-window__container">
                <div class="v-window-item v-window-item--active">
                    <div class="single-section v-card v-card--flat v-sheet theme--light">
                        <div class="v-card__text description-section">
                            <div class="description-details">

                                <div id="rooms" style="border: 1px solid #948e9157;" class="menu-part page-section row"  ng-repeat="roomList in singlelist.gblHotelQuatationList track by $index">
                                  <div class="col-md-8"> 
                                  <table class="rooms-box col-md-8">
                                        <!-- <div class="col-md-10"> -->
                                       
                                        <tbody ng-repeat="roomDetail in roomList" class="col-12 p-0">
                                          <tr ng-repeat="roomInfo in roomDetail.roomInfos" class="mt-0 pt-0" style="    border: none!important;">
                                            <td class="col-md-4 col-sm-12 col-xs-12"> <h6 class="room-title"><span role="button" aria-haspopup="true"
                                              aria-expanded="false">{{roomInfo.roomType}}
                                          </span><span class="v-tooltip v-tooltip--top">
                                              <!----></span></h6></td>
                                            </tr>
                                            <tr class="row mt-0 mb-3" ng-repeat="roomInfo in roomDetail.roomInfos" style="    border: none!important;">
<!--                                                   
                                                <td  class="col-md-4 col-sm-12 col-xs-12">
                                                   
                                                             <a><img
                                                            src="assets/hotel/rooms/4.jpg" alt=""
                                                            class="img-fluid blur-up lazyloaded roomdetails"></a>
                                                </td> -->
                                               
                                                <td  class="col-md-4 col-sm-12 col-xs-12 amenities-details">
                                                  <div class="d-flex flex-row mb-4">
                                                    <span class="pl-4 pb-4" style="font-size: 14px;" ng-bind="roomInfo.mealBoardDesc"> 
                                                    </span>&nbsp;<span style="position: relative; top: -2px; left:1px;">|</span>
                                                    <span ng-hide="roomInfo.nonRefundable==null" class="pl-2 blink" style="font-size: 14px;color: red;" ng-bind="roomInfo.nonRefundable"> 

                                                    </span>
                                                    <span ng-show="roomInfo.nonRefundable==null" class="pl-2" style="font-size: 14px;" > Refundable

                                                    </span>
                                                  </div>
                                                  <div class="d-flex flex-row">
                                                    <span ng-click="hotelcancelationPolicy('lg',any,roomInfo,parentIndex);" class="pl-4" style="cursor: pointer; font-size: 12px; color: #3da5ce;">Cancellation Policy</span> <!--<button type="button"  ng-click="hotelcancelationPolicy('lg',any,roomInfo);"
                                                      class="v-btn v-btn--depressed v-btn--flat v-btn--outlined v-btn--text theme--light v-size--small primary--text"><span
                                                          class="v-btn__content textcss amenitiessize">
                                                          Cancellation Policy
                                                      </span></button>-->
                                                      <span ng-if="singlelist.provider != 'RZL'" ng-click="hotelRate('lg',any,roomInfo,parentIndex);" class="ml-5" style="cursor: pointer; font-size: 12px; color: #3da5ce;">Important Notes</span> <!--<button type="button"  ng-click="hotelRate('lg',any,roomInfo);"
                                                        class="v-btn v-btn--depressed v-btn--flat v-btn--outlined v-btn--text theme--light v-size--small primary--text"><span
                                                            class="v-btn__content textcss amenitiessize">
                                                         Important Notes
                                                        </span></button>-->
                                                  </div>
                                                    <div class="room-detail" style="display: none;">
                                                        <div class="row">
                                                            <div class="col-md-4 col-sm-12 col-xs-12 p-0 ">
                                                              <span class="rateDiv" ng-bind="roomInfo.mealBoardDesc"> 
                                                              </span>&nbsp;<span>|</span>
                                        
                                                            
                                                                <div class="facility-detail">
                                                                  <ul class="mb-0 col-lg-12 col-xs-0" style="padding-bottom: 29px;"> 
                                                                       
                                                                    </span></ul>
                                                                    <ul class="mb-0 col-lg-12 col-xs-6" style="padding-bottom: 8px; margin-left: 10px;"> <a   ng-click="hotelcancelationPolicy('lg',any,roomInfo,parentIndex);"
                                                                      class=" theme--light v-size--small primary--text" id="text-dec"><span
                                                                          class="v-btn__content textcss amenitiessize mb-4">
                                                                          Cancellation Policy
                                                                      </span></a></ul>
                                                      
                                                                </div>
                                                            </div>
                                                            <div class="col-md-4 col-sm-12 col-xs-12 p-0">
                                                              <span ng-hide="roomInfo.nonRefundable==null"style="margin-left: -8%;" class="rateDiv" ng-bind="roomInfo.nonRefundable"> 

                                                              </span>
                                                              <span ng-show="roomInfo.nonRefundable==null"style="margin-left: -8%;" class="rateDiv" > Refundable

                                                              </span>
                                                                <div class="facility-detail">
                                                                  <ul class="mb-0 col-lg-12 col-xs-0" style="padding-bottom: 29px;"> 
                                                                       
                                                                  </span></ul>
                                                                  <ul ng-if="singlelist.provider != 'RZL'" class="mb-0 col-lg-12 col-xs-6" style="padding-bottom: 8px;"> <a ng-click="hotelRate('lg',any,roomInfo);"
                                                                    class="theme--light v-size--small primary--text" id="text-dec"><span
                                                                        class="v-btn__content textcss amenitiessize mb-4">
                                                                     Important Notes
                                                                    </span></a></ul>            
                                                                        <!-- <ul class="mb-0" style="padding-bottom: 8px;"> <button type="button"  ng-click="hotelcancelationPolicy('lg',any,roomInfo);"
                                                                            class="v-btn v-btn--depressed v-btn--flat v-btn--outlined v-btn--text theme--light v-size--small primary--text"><span
                                                                                class="v-btn__content textcss">
                                                                                Cancellation Policy
                                                                            </span></button></ul> -->
                                                                </div>
                                                            </div>
                                                            
                                                        </div>
                                                    </div>
                                                </td>
                                        
                                            </tr>


                                        </tbody>
                                    <!-- </div> -->
                                         
                                    </table>
                                    </div>
                                    <div  class="col-md-4 " >
                                      <div class="algn-ryt">
                                        <span ng-If="!isDisabled && isRadioDisabled" class="curs-pointr" ng-click="removeQuote($index,parentIndex)" >x</span>  

                                          <input type="radio" class="radio-select" ng-model="roomSelection" name="roomSelection"  ng-If="isDisabled" ng-click="slectHotelquote($event,roomList,parentIndex,$index);">
                                      </div>
                                        <div class="price-details table-markup">
                                          <form id="hotelmarkupfrom">
                                            <table class="table table-borderless markup-table">
                                              <tr>
                                                <span  ng-show="singlelist.isPolicyAvailable==true || hotelQuoteSearch.isPolicyAvailable==true">
                                                <span ng-show="roomList[0].roomInfos[0].policyApplied==true"><a  style="color: #2b8b2b; cursor:pointer;font-size: 17px;">IN POLICY</a></span>
                                                <span style="margin-left: 32%;" ng-show="roomList[0].roomInfos[0].policyApplied==false"><a  data-toggle="modal" data-target="#outPolicyModal" ng-click="outPolicyCheck('lg',any,roomList);" style="color: #e20e0e; cursor:pointer;font-size: 17px;">OUT POLICY</a></span>
                                                </span>
                                              </tr>
                                              <tr >
                                                <td class="algn-ryt"><b>Total</b></td>
                                                <td>:</td>
                                                <td>{{roomList[0].currencyUI}}&nbsp{{roomList[0].totfareUI}}</td>
                                              </tr>
                                              <tr ng-show="!isUserView">
                                                <td class="algn-ryt">Markup</td>
                                                <td>:</td>
                                                <td>
                                                  <input type="number"  ng-model="roomList[0].marKupValue" ng-readonly="isDisabled" value="" style="height: 29px;width: 50%;"
                                                  name="markupValue_{{parentIndex}}"
                                                    class="form-control  traveller-details-upper" required />
                                                </td>
                                              </tr>
                                              <tr ng-show="!isUserView">
                                                <td class="algn-ryt">Discount</td>
                                                <td>:</td>
                                                <td><input type="number"  ng-model="roomList[0].disCountValue" ng-readonly="isDisabled" value=""  style="height: 30px; width:50%" id="discountValue_{{parentIndex}}" 
                                                  name="discountValue_{{parentIndex}}" 
                                                  class="form-control  traveller-details-upper" required/>
                                                </td>
                                              </tr>
                                              <tr>
                                                <td class="algn-ryt" style="width: max-content;">Grand Total</td>
                                                <td>:</td>
                                                <td>{{roomList[0].currencyUI}}&nbsp{{roomList[0].totfareUI + roomList[0].marKupValue - roomList[0].disCountValue}}</td>
                                              </tr>
                                            </table>
                                           </form>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
               
            </div>
        </div>
        </div>
    

         
        <div class="tab-pane" id="facitiesopt_{{$index}}" role="tabpanel" aria-labelledby="history-tab">  
          <div class="v-window-item v-window-item--active">
            <div class="single-section v-card v-card--flat v-sheet theme--light">
                <div class="v-card__text description-section">
                    <div class="description-details">
                        <div id="facility" class="menu-part page-section facility">
                            <div class="row">
                                <div class="col-md-12">
                                    <h6 class="amenities-title" style="font-size: 11px;"><img src="assets/hotel/rooms/verified.png" alt="" class="img-fluid blur-up lazyloaded">
                                      <span class="hideaminities">basic facility</span>
                                         <img src="assets/hotel/rooms/credit-card.png" alt="" class="img-fluid blur-up lazyloaded" style="margin-left: 15%;">
                                         <span class="hideaminities">Payment Mode</span>
                                        <img src="assets/hotel/rooms/cctv.png" alt="" class="img-fluid blur-up lazyloaded" style="margin-left: 13%;">
                                        <span class="hideaminities"> Security</span>
                                        <img src="assets/hotel/rooms/tray.png" alt="" class="img-fluid blur-up lazyloaded" style="margin-left: 14%;">
                                        <span class="hideaminities">Food & Drinks</span></h6>
                                    <ul class="col-md-12">
                                        <li class="col-md-3 col-xs-12 " ng-repeat="item in singlelist.htlAmenities"><i class="fa fa-check"></i>{{item}}</li>
        
                                    </ul>
                                </div>
              
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        </div>
         
        <div class="tab-pane" id="locopt_{{$index}}" role="tabpanel" aria-labelledby="deals-tab">
          <div class="v-window-item v-window-item--active">
            <div class="single-section v-card v-card--flat v-sheet theme--light">
                <div class="v-card__text description-section">
                    <div class="description-details">
                      <iframe ng-src="{{hotellocation}}"  width="760" height="460" frameborder="0" style="border:0"></iframe> 

                      <!-- <p>{{singlelist.latitude}} sfd {{singlelist.longitude}} {{singlelist.hotellocation}}</p>
                      <iframe ng-src="{{singlelist.hotellocation}}"  width="760" height="460" frameborder="0" style="border:0"></iframe>  -->
        
        
                    </div>
                </div>
            </div>
        </div>
        </div>
        <div class="tab-pane" id="aboutopt_{{$index}}" role="tabpanel" aria-labelledby="deals-tab">
          <div class="v-window-item v-window-item--active">
            <div class="single-section v-card v-card--flat v-sheet theme--light">
                <div class="v-card__text description-section">
                    <div class="description-details">
                        <div class="desc-box">
                            <div id="about" class="about page-section menu-part">
                                
                                <h6>Description</h6>
                                <p ng-bind-html="singlelist.htlDesc"></p>
                               <h6>Website</h6>
                                <p ng-repeat="items in singlelist.htlContactDtls.url"><a href="{{items}}" target="_blank">{{items}}</a></p>
                                <h6>Email</h6>
                                <p ng-repeat="items in singlelist.htlContactDtls.email">{{items}}</p>
                                <h6>Phone Number</h6>
                                <p ng-repeat="items in singlelist.htlContactDtls.phNo">{{items}}</p>
                               
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        </div>
      </div>
    </div>



    <div class="v-card__actions r">
      <div class="spacer approve-btn">
      <button ng-If="isUserView && isNewQuote" type="button" ng-click="sendRejectRemarks();" class="col-lg-2 reject-btn v-btn v-btn--flat v-btn--text theme--light v-size--default darken-1--text "><span class="v-btn__content">
        Reject
      </span></button>
      <button ng-If="isUserView && isNewQuote" type="button" ng-click="sendApprovalRemarks();" class="col-lg-2 ml-4 text-clr-white btn btn-success v-btn v-btn--flat v-btn--text theme--light v-size--default darken-1--text "><span class="v-btn__content">
          Approve
        </span></button>
      </div>
    </div>
   
                                                
  </div>
</div>
        
<script type="text/ng-template" id="hotelCancelation.tmpl.html">
  <div class="" ng-include="'/views/common/hotel-cancelation-policy.html'">
  </div>
 </script>
 
<script type="text/ng-template" id="hotelRate.tmpl.html">
  <div class="" ng-include="'/views/common/hotel-notes.html'">
  </div>
</script>
    
<style>
  .markup-table td{
    padding: 0.4rem !important;
  }
  .nav-tabs .nav-item .nav-link {
    font-size: 14px !important;
  }
  .card-header {
    background-color: white !important;
  }

  .algn-ryt{
    float: right !important;
  }

  .radio-select{
    position: relative !important;
    left: 0 !important;
  }

  .tabs-animated .scroll_tab_nav.nav-tabs > a.active > .a-tab-view {
    background: #2195c3 !important;
    color: #fff;
}

.approve-btn{
    display: flex;
    justify-content: right;
    align-items: center;
}
.table-markup{
  display: flex;
    height: 100%;
    justify-content: center;
    align-items: center;
}

.reject-btn{
  background: #d5d1d1;

}
</style>